package depart;

import ca.ntro.app.NtroServerFx;
import ca.ntro.app.backend.BackendRegistrar;
import ca.ntro.app.common.ServerRegistrar;
import ca.ntro.app.messages.MessageRegistrar;
import ca.ntro.app.models.ModelRegistrar;
import depart.dorsal.DorsalDepart;
import depart.commun.DeclarationsDepart;

public class ServeurDepart implements NtroServerFx {
	
	public static void main(String[] args) {

		NtroServerFx.launch(args);
	}

	@Override
	public void registerModels(ModelRegistrar registrar) {

		DeclarationsDepart.declarerModeles(registrar);
	}


	@Override
	public void registerMessages(MessageRegistrar registrar) {

		DeclarationsDepart.declarerMessages(registrar);
	}

	@Override
	public void registerBackend(BackendRegistrar registrar) {

		registrar.registerBackend(DorsalDepart.class);
	}

	@Override
	public void registerServer(ServerRegistrar registrar) {
		
		DeclarationsDepart.declarerServeur(registrar);
	}

}
